ISWALPHA(3)

NAME
iswalpha - test for alphabetic wide character

SYNOPSIS
#include <wctype.h>

int iswalpha(wint_t wc);

DESCRIPTION
The iswalpha() function is the wide-character equivalent of the isalpha(3) function. It tests whether wc is a wide character belonging to the wide-character class "alpha".

The wide-character class "alpha" is a subclass of the wide-character class "alnum", and therefore also a subclass of the wide-character class "graph" and of the wide-character class "print".

Being a subclass of the wide-character class "print", the wide-character class "alpha" is disjoint from the wide-character class "cntrl".

Being a subclass of the wide-character class "graph", the wide-character class "alpha" is disjoint from the wide-character class "space" and its subclass "blank".

Being a subclass of the wide-character class "alnum", the wide-character class "alpha" is disjoint from the wide-character class "punct".

The wide-character class "alpha" is disjoint from the wide-character class "digit".

The wide-character class "alpha" contains the wide-character classes "upper" and "lower".

The wide-character class "alpha" always contains at least the letters 'A' to 'Z' and 'a' to 'z'.

RETURN VALUE
The iswalpha() function returns non-zero if wc is a wide character belonging to the wide-character class "alpha". Otherwise it returns zero.

CONFORMING TO
C99.

NOTES
The behaviour of iswalpha() depends on the LC_CTYPE category of the current locale.

SEE ALSO
isalpha(3), iswctype(3)